@charset "UTF-8";
/* CSS Document */
/* ↓↓↓ IGNORE THIS SECTION ↓↓↓ */
			html, body, div, span, applet, object, iframe,
			h1, h2, h3, h4, h5, h6, p, blockquote, pre,
			a, abbr, acronym, address, big, cite, code,
			del, dfn, em, img, ins, kbd, q, s, samp,
			small, strike, strong, sub, sup, tt, var,
			b, u, i, center,
			dl, dt, dd, ol, ul, li,
			fieldset, form, label, legend,
			table, caption, tbody, tfoot, thead, tr, th, td,
			article, aside, canvas, details, embed, 
			figure, figcaption, footer, header, hgroup, 
			menu, nav, output, ruby, section, summary,
			time, mark, audio, video {
				margin: 0;
				padding: 0;
				border: 0;
				font-size: 100%;
				font: inherit;
				vertical-align: baseline;
			}
			/* HTML5 display-role reset for older browsers */
			article, aside, details, figcaption, figure, 
			footer, header, hgroup, menu, nav, section {
				display: block;
			}

			body {
				line-height: 1;
			}
			ol, ul {
				list-style: none;
			}
			blockquote, q {
				quotes: none;
			}
			blockquote:before, blockquote:after,
			q:before, q:after {
				content: '';
				content: none;
			}
			table {
				border-collapse: collapse;
				border-spacing: 0;
			}

			html {
				margin: 0 0 0 0;
				
			}

			body {
				margin: 0 0 0 0;
				padding: 0 0 0 0;
				height: 100%;
			}
			
			.italic {
				font-style: italic;
			}
		
		

/* ^^^ IGNORE EVERYTHING ABOVE HERE ^^^ */

/* ↓↓↓ APPLIES TO ALL LINKS (unless specified otherwise; i.e. nav links) ↓↓↓ */

	a {
		text-decoration: none;
		text-decoration: underline;
		font-weight: 900;
		font-style: normal;
		color: white;
	}

	a:hover {	
		color: blue; /*Underlines links when you mouse over them*/
	}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */

/*THE STATIC GRADIENT BACKGROUND*/
#bg {
	height: 100%;
	width: 100%;
	position: fixed;
	background: linear-gradient(to right, rgba(252,183,192,1), rgba(145,237,145,1)); 
	background-size: cover;
	z-index: 0;
	mix-blend-mode: color;
	opacity: 1;
}
/********************************/
/*BACKGROUND PHOTO*/
#grad {
	position: fixed;
	background-size: cover; 
	background-image: url(images/bg_1_small.jpg); 
	z-index: -1;
	width: 100%;
	height: 100%;
	display: block;
	opacity: 0.8;
}
/**********************************/
/*MOVING GRADIENT!*/
.radial-gradient {
	position: fixed;
	height: 100vh;
	width: 100vw;
	background: transparent radial-gradient(at calc(var(--mouse-x, 0) * 100%) calc(var(--mouse-y, 0) * 100%), rgba(252,183,192,1), rgba(145,237,145,1) ) no-repeat 0 0;
	mix-blend-mode: color;
	z-index: 1!important;
}
/**********************************/
/*"THE DIGITAL FOREST" ON LANDING PAGE*/
#maintitle {
	width: 100%;
	height: auto;
	text-align: center;
}

#maintitle h1 {
	display: block;
	top: 50%;
	left: 49%;
	margin-right: -50%;
	transform: translate(-50%, -50%);
	color: white;
	z-index: 9998;
	mix-blend-mode: color-dodge;
	margin: 0;
	padding: 0;
	opacity: 1;
	font-size: 4em;
}

/*PARAGRAPH ON THE ABOUT PAGE*/
#about {
	width: 100%;
	height: auto;
	text-align: center;
	padding-top: 10%;
	padding-bottom: 10%;
	position: absolute;
	overflow: scroll;
}

#about p {
	display: block; 
	position: relative;
	left: 49%;
	max-width: 50%;
	margin-right: -50%;
    transform: translate(-50%);
	color: white;
	z-index: 9998;
	margin: 0;
	padding: 0;
	opacity: 1;
}


/*"ENTER" AND "ABOUT" ON THE LANDING PAGE*/
#mainlinks {
	width: 100%;
	height: 100%;
	text-align: center;
	position: fixed;
	z-index: 9999;
	color: white;
}

#mainlinks a {
	display: block; 
	float: left;
	padding-right: 20px;
	position: relative;
	top: 70%;
	left: 46.5%;
	margin-right: -50%;
    transform: translate(-50%, -50%);
	color: white;
	z-index: 9999;
	mix-blend-mode: color-dodge;
	margin: 0;
	padding: 0;
	padding-top: 50px;
	opacity: 1;
	font-family: 'Motserrat', sans-serif;
	font-size: 2.5em;
	font-weight: 700;
	font-style: normal;
}

#mainlinks a:hover {
	text-decoration: none;
	color: blue;
}
/***********************************/

/*GENERAL STUFF ON HOMEPAGE IMAGES*/
#pics {
	height: auto;
	width: 100%;
	mix-blend-mode: normal;
	position: absolute;
	z-index: 99;
	text-align: center;
}

#pics img {
	transition-duration: 0.2s;
	transform: translateZ(0);
	overflow: visible;
	max-width: 30%;
	max-height: 60%;
}


#pics img:not(#blueblob):not(#pinkblob) {
	max-width: 25%;
	max-height: 50%;
}

#pics div:hover img {
	filter: contrast(0.9) brightness(110%);
}



#pics p {
	height: auto;
	display: none!important;
	color: white;
	margin: 0;
	padding: 1em;
	font-size: 3em;
	line-height: 1em;
	z-index: 9999!important;
	
}

#pics div:hover p {
	display: none!important;

}


/* ↓↓↓ ALL INDIVIDUAL HOMEPAGE PICS ↓↓↓ */


#pics #blueblob {
	position: fixed;
	top: -15%;
	left: 5%;
	max-height: 60%;
	
}


#pics #pinkblob {
	text-align: right;
	position: fixed;
	bottom: 0;
	right: 20%;
	max-height: 50%;
	
}


#pics #lakedistrict {
	right: 0; 
	top: 20%;
	position: fixed;
	width: auto;
	max-height: 35%!important;
	display: block; 
	
}


#pics #family {
	display: block;
	position: fixed; 
	right: 25%;
	top: 5%;
	max-height: 30%!important;
}

#pics #flowers {
	display: block;
	position: fixed;
	top: 0;
	right: 15%;
	
	max-height: 45%!important;
}

#pics #bubbles {
	display: block;
	position: fixed; 
	right: 5%;
	bottom: 5%;
}

#pics #mushroom {
	display: block;
	position: fixed; 
	bottom: 5%; 
	left: 20%;
	max-height: 25%!important;
}

#pics #lina {
	position: fixed; 
	top:10%; 
	left: 25%;
	
	max-width: 15%!important;
}

#pics #bull {
	display: block;
  	margin-left: auto;
  	margin-right: auto;
  	top: 25%;
  	left: 30%;
 	position: fixed;
  	max-width: 30%!important;
}

#pics #fern {
	display: block;
	position: fixed; 
	bottom: 0;
	left: 0;
	max-width: 20%!important;
}

#pics #cooking {
	display: block;
	position: fixed; 
	bottom: 10%;
	left: 10%;
	max-width: 15%!important;
}

#pics #forest {
	position: fixed;
	top: 5%;
	left: 5%;
		
}
	
#pics #aboutone {
	display: block;
	position: fixed; 
	right: 10%;
	top: 0%;
	max-height: 25%!important;
}

#pics #abouttwo {
	display: block;
	position: fixed; 
	right: 0%;
	top: 25%;
	max-height: 25%!important;
}

#pics #aboutthree {
	display: block;
	position: fixed; 
	right: 10%;
	top: 50%;
	max-height: 25%!important;
}

#pics #aboutfour {
	display: block;
	position: fixed; 
	right: 10%;
	top: 76%;
	max-height: 25%!important;
}

#pics #aboutfive {
	display: block;
	position: fixed; 
	right: 3%;
	top: 50%;
	max-height: 25%!important;
}

#pics #aboutsix {
	display: block;
	position: fixed; 
	left: 8%;
	top: 0.5%;
	max-height:25%!important;
}

#pics #aboutseven {
	display: block;
	position: fixed; 
	left: 5%;
	top: 28%;
	max-height: 35%!important;
}

#pics #abouteight {
	display: block;
	position: fixed; 
	left: 1%;
	top: 53%;
	max-height: 23%!important;
}

#pics #aboutnine {
	display: block;
	position: fixed; 
	left: 10%;
	top: 72%;
	max-height: 35%!important;
}	
/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */




/* ↓↓↓ APPLIES TO PAGES WITH INDIVIDUAL ENTRIES (e.g. recipes, books, articles, etc.) ↓↓↓ */

	ul {
		bottom: 0;
		right: 0;/*How much space there is on the right side of the page*/
		top: 0;
		left: 0;
		margin-left: 10%;
		padding-top: 5%;
		width: 90%; /*This means you can scroll through the images even with the mouse on the left side of the screen*/
		height: auto;
		z-index: 90;
		position: absolute;
		overflow: scroll;
	}

	ul li {
		
		
		overflow: auto;
		height: auto;
		box-shadow: 10px 10px 0px rgba(0, 0, 0, 0);
		background-color: rgba(0, 0, 255, 0);
		
		
		max-width: 60%;
		width: auto;
		z-index: 90;
		position: relative;

		margin-left: 0; /*How far to the right the images show up*/
		margin-top: 0; /*This is so that the images essentially look like they scroll all the way through the top of the page*/
		margin-bottom: 0; /*This is so that the images look like they scroll all the way from the bottom of the page*/
		
	}

	ul li img {
		max-width: 30%;
		height: auto !important;
		max-height: 40%;	
		margin-top: 0; /*Essentially how much space there is between each image*/
		padding: 10px;
		padding-bottom: 20px;
		padding-top: 10px;
		position: relative;
		display: inline-block;
		overflow: auto;
		float: right;
		
	}

	ul li video { /*This affects videos hosted on the site itself (e.g. LightUp)*/
		max-height: 100%;
		max-width: 100%;
		margin-top: 3em;
		z-index: -90;
	}

	ul li iframe { /*This affects videos that are embedded from YouTube (i.e. This Garden of Ours)*/
		max-height: 80%;
		max-width: 100%;
		margin-top: 3em;
		z-index: -90;
	}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */






/* ↓↓↓ APPLIES TO THE "HOME" BUTTON ETC ON EVERY PAGE ↓↓↓ */

	#contact a {
		font-family: 'Montserrat', sans-serif;
		font-weight: 700;
		font-style: normal;
		position: fixed; /*So that the email address always stays at the bottom left corner of the screen*/
		font-size: 1em;
		top: 3em;
		text-align: left;
		left: 3%;
		z-index: 999;
		color: blue;
		padding: 3px;
		background-color: none;
		opacity: 1;
		
		-webkit-transition-duration: 0.1s;
	transition-duration: 0.1s;
	
	transform: translateZ(0);
	}
	
	
	#contact a:hover {
		color: white;
	
	z-index: 9999!important;
		text-decoration: none;
	}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */




	
	
	
/*STYLINGS SPECIFIC TO THE GALLERY PAGE*/
	

#see ul {
	margin: 0;
	padding-left: 10px;
	width: 100%;
}

	
#see ul li {
	float: left;
	overflow: visible;
	display: block;
	max-width: 25%;
	height: auto;
	position: relative;
	margin: 0;
	padding: 50px;
	
	margin-bottom: 10px;
	
}

#see ul li img {
	margin: 0;
	
	padding: 0;
	
	max-width: 100%!important;
	
    height: auto;
	
	display: block;
	float: left;
} 

#see ul li p {
	max-width: 50%;
	height: auto;
	margin: 0;
	padding: 0;
	background: none;
	box-shadow: none;
	opacity: 0.9;
	color: white;
	
}
	
	
/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */


	
/*VARIOUS TEXT CUSTOMISATIONS*/	
	h2 {
		margin-top: 1em;
		margin-bottom: 1.5em;
		font-size: 2em;
		line-height: 2em; /*Adds a bit of breathing room between lines to help with legibility*/
		font-family: 'Della Respira', serif;
		font-weight: 700;
		font-style: normal;
		text-align: left;
		padding-left: 10px;
		color: white;
		clear: left;
	}
	
	h3 {
		margin-top: 0;
		font-size: 1.5em;
		line-height: 2em; /*Adds a bit of breathing room between lines to help with legibility*/
		font-family: 'Montserrat', sans-serif;
		font-weight: 600;
		font-style: normal;
		text-align: left;
		padding-left: 10px;
		padding-top: 10px;
		color: white;
		clear: left;
		
	}
	
	a h3:hover {
		color: blue; 
	}
	
	p {
		margin-top: 2em;
		font-size: 1em;
		line-height: 2em; /*Adds a bit of breathing room between lines to help with legibility*/
		font-family: 'Montserrat', sans-serif;
		font-weight: 600;
		font-style: normal;
		text-align: justify;
		padding-left: 10px;
		color: white;
		clear: left;
		max-width: 100%;
	
		
	}
/*********************/





	
	
/*DIFFERENT LAYERS OF TEXT FOR THE "NATURE IS BEAUTIFUL" PAGE*/	

		
		
		#bla {
	transform: rotate(1deg);
	margin-left: 5%; 
	
	} 
		
		
		
		h1 {
			margin-top: 2em;
				margin-bottom: -2.2em;
				margin-left: 0;
				font-size: 8em;
				line-height: 1em; /*Adds a bit of breathing room between lines to help with legibility*/
				font-family: 'Della Respira', serif;
				font-weight: 700;
				font-style: normal;
				color: black;
				text-align: center;
				position: absolute;
				top: 25%;
				opacity: 0.8;
				padding-left: 10px;
				padding-right: 0;
				mix-blend-mode: difference;
		}

		#double {
			margin-top: 2em;
				margin-bottom: -2.2em;
				margin-left: 0;
				font-size: 8em;
				line-height: 1em; /*Adds a bit of breathing room between lines to help with legibility*/
				font-family: 'Della Respira', serif;
				font-weight: 700;
				font-style: normal;
				color: blue;
				text-align: center;
				position: absolute;
				top: 25%;
				
				opacity: 0.7;
				padding-left: 0;
				padding-right: 10px;
				padding-top: 1px;
				mix-blend-mode: normal;
		}

		#triple {
			margin-top: 2em;
				margin-bottom: -2.2em;
				margin-left: 0;
				font-size: 8em;
				line-height: 1em; /*Adds a bit of breathing room between lines to help with legibility*/
				font-family: 'Della Respira', serif;
				font-weight: 700;
				font-style: normal;
				color: yellow;
				text-align: center;
				position: absolute;
				top: 25%;
			
				opacity: 0.5;
				padding-left: 20px;
				padding-right: 0;
				padding-bottom: 5px;
				mix-blend-mode: normal;
		}

		#again {
			margin-top: 2em;
				margin-bottom: -2.2em;
				margin-left: 0;
				font-size: 8em;
				line-height: 1em; /*Adds a bit of breathing room between lines to help with legibility*/
				font-family: 'Della Respira', serif;
				font-weight: 700;
				font-style: normal;
				color: white;
				text-align: center;
				position: absolute;
				top: 25%;
				
				opacity: 1;
				padding-left: 10px;
				padding-right: 0;
				mix-blend-mode: normal;
		}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */




/*STYLING FOR PAGE HEADINGS*/


#heading4 {
	top: 0;
	left: 0;
	margin: 0;
	margin-top: 0;
	font-size: 4em;
	line-height: 1em; /*Adds a bit of breathing room between lines to help with legibility*/
	font-family: 'Della Respira', serif;

	font-style: normal;
	color: white;
	text-align: left;
	position: relative;
	opacity: 1;
	padding-left: 6px;
	paddint-top: 10px;
	mix-blend-mode: normal;


}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */



/* ↓↓↓ THIS IS TO HIDE THE SCROLL BAR FOR THE IMAGES ON EACH PAGE. (You can change to show while you're scrolling or all the time if you like) ↓↓↓ */

	::-webkit-scrollbar {
	  display: none;
	}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */




/* ↓↓↓ THIS CHANGES THE COLOUR OF HIGHLIGHTED TEXT. FUN!!! ↓↓↓ */

	::selection { /*For most browsers*/
	  background: #fcb7c0;
	  color: #0000ff;  
	}
	
	::-moz-selection { /*Same thing, but for Firefox, just in case.*/
	  background: #fcb7c0;
	  color: #0000ff; 
	}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
